noir = Color.new (0,0,0)
jaune = Color.new (255,255,0)
rouge = Color.new (255,0,0)
legende = "Legend: Red = Titles / Yellow = Explanations"
aide = "Navigation: Start = menu, L = precedent and R = following"
dezo = "Sorry, we do not know a solution to this error code. If you had this code, go to Options section and enter the heading Errors in the section (X to go there now)"

while true do
screen:clear()
pad=Controls.read()

screen:blit(0,0,fond_en)
screen:print(60,1,legende,noir)
screen:print(15,10,aide,noir)
screen:print(420,260,page,rouge)

screen:print(80,50,"Error code:",rouge)
screen:print(95,60,num,jaune)

screen:print(80,110,"Meaning:",rouge)
if string.len(trad) > 42 then
  screen:print(95,120,string.sub(trad,0,42),jaune)
  screen:print(95,130,string.sub(trad,43,84),jaune)
  screen:print(95,140,string.sub(trad,85,126),jaune)
  screen:print(95,150,string.sub(trad,127),jaune)
else
 screen:print(95,120,trad,jaune)
end

screen:print(80,170,"Solution:",rouge)
if string.len(trad) > 42 then
  screen:print(95,180,string.sub(solu,0,42),jaune)
  screen:print(95,190,string.sub(solu,43,84),jaune)
  screen:print(95,200,string.sub(solu,85,126),jaune)
  screen:print(95,210,string.sub(solu,127),jaune)
else
 screen:print(95,180,solu,jaune)
end

if solu == "" then
screen:print(80,170,"Solution:",rouge)
screen:print(95,180,string.sub(dezo,0,36),jaune)
screen:print(95,190,string.sub(dezo,37,78),jaune)
screen:print(95,200,string.sub(dezo,79,111),jaune)
screen:print(95,210,string.sub(dezo,112,150),jaune)
screen:print(95,220,string.sub(dezo,151),jaune)
if pad:cross() then
screen.flip()
screen.waitVblankStart(7)
dofile("erreuroption_en.lua")
end
end

if pad:l() then
name = m
dofile("database_en.lua")
end

if pad:r() then
name = p
dofile("database_en.lua")
end


if pad:start() then
screen.flip()
screen.waitVblankStart(7) 
dofile("menu_en.lua")
end
if pad:circle() then
screen.flip()
screen.waitVblankStart(7)
dofile("recherche_en.lua")
end

screen.flip()
screen.waitVblankStart(7) 
end
